Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_SOAP

    java.lang.Object
      com.tonbeller.jpivot.xmla.XMLA_SOAP

All Implemented Interfaces:
  OlapDiscoverer

    public class XMLA_SOAP

extends java.lang.Object
implements OlapDiscoverer

Handling XMLA SOAP calls

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.OlapDiscoverer
`PROVIDER_MICROSOFT, PROVIDER_MONDRIAN, PROVIDER_SAP`

Constructor Summary
`XMLA_SOAP(java.lang.String uri, java.lang.String user, java.lang.String password)` c'tor set URI, password, user and create URL no datasource, no provider, will be determined by discover datasource
`XMLA_SOAP(java.lang.String uri, java.lang.String user, java.lang.String password, int newProvider)` c'tor set URI, password, user and create URL provider given, datasource will be determined by discover datasource
`XMLA_SOAP(java.lang.String uri, java.lang.String user, java.lang.String password, java.lang.String dataSource)` c'tor set URI, password, user and create URL datasource given, provider will be determined from datasource

Method Summary
`java.util.List` | `discoverCat()` retrieve catalogs in data source
`java.util.List` | `discoverCube(java.lang.String cat)` retrieve cubes in data source
`java.util.List` | `discoverDim(java.lang.String cat, java.lang.String cube)` retrieve dimensions in data source
`java.util.Map` | `discoverDS()` retrieve data source properties
`java.util.List` | `discoverDSProps()` retrieve datasource properties
`java.util.List` | `discoverHier(java.lang.String cat, java.lang.String cube, java.lang.String dimension)` retrieve hierarchies in data source
`java.util.List` | `discoverLev(java.lang.String cat, java.lang.String cube, java.lang.String dimension, java.lang.String hier)` retrieve levels in data source
`java.util.List` | `discoverMem(java.lang.String cat, java.lang.String cube, java.lang.String dimension, java.lang.String hierarchy, java.lang.String level)` retrieve members in data source
`java.util.List` | `discoverMemTree(java.lang.String cat, java.lang.String cube, java.lang.String member, int treeop)` retrieve member tree in data source for given catalog, cube, member
`java.util.List` | `discoverProp(java.lang.String cat, java.lang.String cube, java.lang.String dimension, java.lang.String hierarchy, java.lang.String level)` retrieve member properties in data source for given catalog, cube, dimension, hierarchy, level
`java.util.List` | `discoverSapVar(java.lang.String cat, java.lang.String cube)` retrieve SAP variables for given catalog, cube
`void` | `executeDrillQuery(java.lang.String query, java.lang.String catalog, QueryResultHandler handler)`
`void` | `executeQuery(java.lang.String query, java.lang.String catalog, QueryResultHandler handler)` Execute query
`java.lang.String[][]` | `getHeaders()`
`int` | `getProvider()`
`void` | `setHeaders(java.lang.String[][] headers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_SOAP

    public XMLA_SOAP(java.lang.String uri,
                     java.lang.String user,
                     java.lang.String password)
              throws OlapException

  c'tor set URI, password, user and create URL no datasource, no provider, will be determined by discover datasource

  Parameters:
    `uri` -
    `user` -
    `password` -
  Throws:
    `OlapException`

### XMLA_SOAP

    public XMLA_SOAP(java.lang.String uri,
                     java.lang.String user,
                     java.lang.String password,
                     java.lang.String dataSource)
              throws OlapException

  c'tor set URI, password, user and create URL datasource given, provider will be determined from datasource

  Parameters:
    `uri` -
    `user` -
    `password` -
    `dataSource` -
  Throws:
    `OlapException`

### XMLA_SOAP

    public XMLA_SOAP(java.lang.String uri,
                     java.lang.String user,
                     java.lang.String password,
                     int newProvider)
              throws OlapException

  c'tor set URI, password, user and create URL provider given, datasource will be determined by discover datasource

  Parameters:
    `uri` -
    `user` -
    `password` -
    `provider` -
  Throws:
    `OlapException`

Method Detail

### discoverCat

    public java.util.List discoverCat()
                               throws OlapException

  retrieve catalogs in data source

  Specified by:
    `discoverCat` in interface `OlapDiscoverer`
  Returns:
    List of OlapItems for the catalogs
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverDSProps

    public java.util.List discoverDSProps()
                                   throws OlapException

  retrieve datasource properties

  Specified by:
    `discoverDSProps` in interface `OlapDiscoverer`
  Returns:
    List of OlapItems for the datasource properties
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverCube

    public java.util.List discoverCube(java.lang.String cat)
                                throws OlapException

  retrieve cubes in data source

  Specified by:
    `discoverCube` in interface `OlapDiscoverer`
  Parameters:
    `cat` - catalog
  Returns:
    List of OlapItems for the cubes
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverDim

    public java.util.List discoverDim(java.lang.String cat,
                                      java.lang.String cube)
                               throws OlapException

  retrieve dimensions in data source

  Specified by:
    `discoverDim` in interface `OlapDiscoverer`
  Parameters:
    `cat` - catalog name
    `cube` - cube name
  Returns:
    List of OlapItems for the dimensions
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverHier

    public java.util.List discoverHier(java.lang.String cat,
                                       java.lang.String cube,
                                       java.lang.String dimension)
                                throws OlapException

  retrieve hierarchies in data source

  Specified by:
    `discoverHier` in interface `OlapDiscoverer`
  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension, can be null
  Returns:
    List of OlapItems for the hierarchies
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverLev

    public java.util.List discoverLev(java.lang.String cat,
                                      java.lang.String cube,
                                      java.lang.String dimension,
                                      java.lang.String hier)
                               throws OlapException

  retrieve levels in data source

  Specified by:
    `discoverLev` in interface `OlapDiscoverer`
  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension, can be null
    `hier` - unique name of hierarchy, can be null
  Returns:
    List of OlapItems for the levels
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverMem

    public java.util.List discoverMem(java.lang.String cat,
                                      java.lang.String cube,
                                      java.lang.String dimension,
                                      java.lang.String hierarchy,
                                      java.lang.String level)
                               throws OlapException

  retrieve members in data source

  Specified by:
    `discoverMem` in interface `OlapDiscoverer`
  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension
    `hierarchy` - unique name of hierarchy
    `level` - unique name of level
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverMemTree

    public java.util.List discoverMemTree(java.lang.String cat,
                                          java.lang.String cube,
                                          java.lang.String member,
                                          int treeop)
                                   throws OlapException

  retrieve member tree in data source for given catalog, cube, member

  Specified by:
    `discoverMemTree` in interface `OlapDiscoverer`
  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `member` - unique name of member
    `treeop` - bit combination according to TREEOP specification MDTREEOP_CHILDREN = 1 MDTREEOP_SIBLINGS = 2 MDTREEOP_PARENT = 4 MDTREEOP_SELF = 8 MDTREEOP_DESCENDANTS = 16 MDTREEOP_ANCESTORS = 32
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`
  See Also:
    `OlapDiscoverer.discoverMemTree(java.lang.String, java.lang.String, java.lang.String, int)`

### discoverDS

    public java.util.Map discoverDS()
                             throws OlapException

  retrieve data source properties

  Specified by:
    `discoverDS` in interface `OlapDiscoverer`
  Returns:
    Map of key/value strings
  Throws:
    `OlapException`
  See Also:
    `DataSourceBrowser`

### discoverProp

    public java.util.List discoverProp(java.lang.String cat,
                                       java.lang.String cube,
                                       java.lang.String dimension,
                                       java.lang.String hierarchy,
                                       java.lang.String level)
                                throws OlapException

  retrieve member properties in data source for given catalog, cube, dimension, hierarchy, level

  Specified by:
    `discoverProp` in interface `OlapDiscoverer`
  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension
    `hierarchy` - unique name of hierarchy
    `level` - unique name of level
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`
  See Also:
    `OlapDiscoverer.discoverProp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### discoverSapVar

    public java.util.List discoverSapVar(java.lang.String cat,
                                         java.lang.String cube)
                                  throws OlapException

  retrieve SAP variables for given catalog, cube

  Specified by:
    `discoverSapVar` in interface `OlapDiscoverer`
  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`
  See Also:
    `OlapDiscoverer.discoverProp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### executeQuery

    public void executeQuery(java.lang.String query,
                             java.lang.String catalog,
                             QueryResultHandler handler)
                      throws OlapException

  Execute query

  Parameters:
    `query` - - MDX to be executed
    `catalog` -
    `handler` - Callback handler
  Throws:
    `OlapException`

### executeDrillQuery

    public void executeDrillQuery(java.lang.String query,
                                  java.lang.String catalog,
                                  QueryResultHandler handler)
                           throws OlapException

  Throws:
    `OlapException`

### getProvider

    public int getProvider()

  Specified by:
    `getProvider` in interface `OlapDiscoverer`
  Returns:
    provider (Microsoft/SAP/Mondrian)

### getHeaders

    public java.lang.String[][] getHeaders()

### setHeaders

    public void setHeaders(java.lang.String[][] headers)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD